跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 22.6.1, which is no longer the latest release. See the latest release.

Create or Update a secret value in a user scope

PUT
/user/actions/secrets/{secretname}
curl --request PUT \
--url https://gitea.example.com/api/v1/user/actions/secrets/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "data": "example" }'
secretname
required
string

Name of the secret

Media typeapplication/json

CreateOrUpdateSecretOption options when creating or updating secret

object
data
required

Data of the secret to update

string
Examplegenerated
{
"data": "example"
}

Response when creating a secret

Media typeapplication/json

Response when updating a secret

Media typeapplication/json

APIError is error format response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json